Package com.tietoenator.trip.jxp

# Enum Class TdbProduct

java.lang.Object
java.lang.Enum<TdbProduct>
com.tietoenator.trip.jxp.TdbProduct

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbProduct>`, `Constable`

public enum TdbProduct extends Enum<TdbProduct>
Definition of products that are licensed, and the names of those products for use with the appropriate methods on TdbSession

See Also:
  - `TdbSession`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TRIPagent`
  Crawling and indexing of rich content sources
  `TRIPclass`
  Classification support
  `TRIPclient`
  The various client modules some past, some present: TRIPnet, TRIPvbx, TRIP@client, etc.
  `TRIPgrid`
  TRIPgrid support
  `TRIPhighway`
  A CGI interface to TRIP
  `TRIPjtk`
  Java development environments
  `TRIPnlp`
  Metadata and keyword extraction using TRIPnlp.
  `TRIPruntime`
  A runtime license which does not support creation of database designs, etc.
  `TRIPsql`
  SQL interface via ODBC and JDBC
  `TRIPsystem`
  TRIPsystem, TRIPclassic, TRIPapi, TRIPtoolkit are all part of the basic kernel
  `TRIPview`
  The document viewer component
  `TRIPviewC`
  Support for text extraction and HTML conversion via TRIPview-C.
  `TRIPxml`
  TRIPxml for storage and search of XML documents using XPath

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbProduct`
  `getProduct(String name)`
  Retrieve the product ID that matches the provided name
  `String`
  `getProductName()`
  Return the correct product name for the provided product identifier
  `static boolean`
  `isProduct(String name)`
  Check if the provided name matches this product enumeration
  `static TdbProduct`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbProduct[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TRIPsystem

    public static final TdbProduct TRIPsystem
    TRIPsystem, TRIPclassic, TRIPapi, TRIPtoolkit are all part of the basic kernel

  - ### TRIPruntime

    public static final TdbProduct TRIPruntime
    A runtime license which does not support creation of database designs, etc.

  - ### TRIPhighway

    public static final TdbProduct TRIPhighway
    A CGI interface to TRIP

  - ### TRIPclient

    public static final TdbProduct TRIPclient
    The various client modules some past, some present: TRIPnet, TRIPvbx, TRIP@client, etc.

  - ### TRIPview

    public static final TdbProduct TRIPview
    The document viewer component

  - ### TRIPxml

    public static final TdbProduct TRIPxml
    TRIPxml for storage and search of XML documents using XPath

  - ### TRIPagent

    public static final TdbProduct TRIPagent
    Crawling and indexing of rich content sources

  - ### TRIPjtk

    public static final TdbProduct TRIPjtk
    Java development environments

  - ### TRIPsql

    public static final TdbProduct TRIPsql
    SQL interface via ODBC and JDBC

  - ### TRIPclass

    public static final TdbProduct TRIPclass
    Classification support

  - ### TRIPgrid

    public static final TdbProduct TRIPgrid
    TRIPgrid support

  - ### TRIPviewC

    public static final TdbProduct TRIPviewC
    Support for text extraction and HTML conversion via TRIPview-C.

  - ### TRIPnlp

    public static final TdbProduct TRIPnlp
    Metadata and keyword extraction using TRIPnlp.

- ## Method Details

  - ### values

    public static TdbProduct[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbProduct valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isProduct

    public static boolean isProduct(String name)
    Check if the provided name matches this product enumeration
    Parameters:
      `name` - The product name to check
    Returns:
      True if this is the product, false otherwise

  - ### getProduct

    public static TdbProduct getProduct(String name)
    Retrieve the product ID that matches the provided name
    Parameters:
      `name` - The name to match
    Returns:
      The product ID

  - ### getProductName

    public String getProductName()
    Return the correct product name for the provided product identifier
    Returns:
      The name